/* -------------------------------------------
 ベース
------------------------------------------- */
/* 変数 */
:root {
  --font-base: 'Noto Sans JP', sans-serif;
  --font-ttl: 'Noto Sans JP', sans-serif;
  --font-nav: 'Noto Sans JP', sans-serif;
  --font-modal: 'Noto Sans JP', sans-serif;
  --color-primary: #7c57ff;
  --color-primary-light: #e2dcfb;
  --color-primary-highlight: #fff;
  --color-primary-see-through: #7c57ff80;
}

html {
  scroll-behavior: smooth;
}

a:hover {
  opacity: 0.7;
}

address {
  font-style: normal;
}

/* sns調整 */
.sns {
  z-index: 1;
}

@media (min-width: 1252px) {
  .sns {
    right: calc(50% - (min(80%, 1200px) / 2) - var(--sns-icon-width) - var(--sns-left-space));
  }
}

/* -------------------------------------------
 mein-container
------------------------------------------- */

.mein-container {
  position: relative;
  font-family: var(--font-base);
  padding-top: 64px;
  font-feature-settings: 'palt';
  letter-spacing: 0.05em;
  position: relative;
}

@media screen and (max-width: 428px) {
  .mein-container {
    padding-top: 48px;
  }
}

.mein-container::after {
  content: '';
  display: block;
  background: no-repeat top center/cover url(../images/bg-pc.webp);
  width: 100%;
  height: calc(100vh - 64px);
  height: calc(100dvh - 64px);
  top: 64px;
  left: 0;
  z-index: -1;
  position: fixed;
  @media (max-width: 768px) {
    background: no-repeat top center/cover url(../images/bg-sp.webp);
  }
  @media (max-width: 428px) {
    height: calc(100vh - 48px);
    height: calc(100dvh - 48px);
    top: 48px;
  }
}

main.mein-container__inner {
  width: 100%;
  max-width: none;
  background: transparent;
  margin: 0px;
  display: flex;
  flex-direction: column;
  /* padding-top: 5.625rem;
  gap: 5rem; */
}

@media (max-width: 768px) {
  main.mein-container__inner {
    gap: 0;
    padding-block: 0;
  }
}

/* -------------------------------------------
 main-header
------------------------------------------- */
.main-header {
  position: relative;
}

.main-header__mv {
  width: 100%;
  max-width: 1200px;
  margin-inline: auto;
}

/* -------------------------------------------
 nav
------------------------------------------- */

.nav__switch {
  display: none;
}

.nav__content {
  color: var(--color-primary-highlight);
  font-family: var(--font-nav);
  line-height: 1.2;
  letter-spacing: 0.1em;
  display: flex;
}

.nav__item {
  font-weight: bold;
}

@media (min-width: 769px) {
  [id^='n_'] {
    scroll-margin-top: calc(72px + 64px);
  }

  .nav {
    top: 64px;
    position: sticky;
    z-index: 50;
    width: 100%;
    background: var(--color-primary);
    display: flex;
    font-size: 1.25rem;
    height: 72px;
    padding: 0.3em 1em;
    align-items: center;
    box-sizing: border-box;
  }

  .nav__content {
    position: relative;
    width: fit-content;
    /* margin-left: auto; */
    /* max-width: 1300px; */
    margin-inline: auto;
  }

  .nav__item {
    display: block;
    text-align: center;
    position: relative;
    padding-inline: 1.2em;
  }

  .nav__sp-btn {
    display: none;
  }
}

@media (max-width: 768px) {
  [id^='n_'] {
    scroll-margin-top: calc(64px + 40px);
  }

  .nav {
    top: 64px;
  }

  .nav__logo {
    display: none;
  }

  .nav__content {
    background: #1e1e1e;
    position: fixed;
    font-size: 24px;
    flex-direction: column;
    align-items: center;
    /* padding-block: 1em calc(1em + (56px + 5vw)); */
    /* padding-inline: 1em; */
    height: calc(100vh - 64px);
    height: calc(100dvh - 64px);
    width: 100%;
    top: 64px;
    right: 0;
    transform: translateY(100%);
    transition: all 0.5s;
    z-index: 51;
    text-align: center;
  }

  .nav__item {
    width: 100%;
    font-size: 1.25rem;
    display: flex;
    min-height: 79px;
    box-sizing: border-box;
    align-items: center;
    justify-content: center;
  }

  .nav__item:not(:last-of-type) {
    border-bottom: 1px solid #ffffff33;
  }

  .nav__switch:checked ~ .nav__content {
    transform: translateY(0%);
  }

  .nav__bg {
    background: #000000c5;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 64px;
    left: 0;
    opacity: 0;
    transition: all 0.5s;
    pointer-events: none;
    z-index: 50;
    backdrop-filter: blur(2px);
  }

  .nav__switch:checked ~ .nav__bg {
    opacity: 1;
    pointer-events: all;
  }

  .nav__sp-btn {
    background: var(--color-primary);
    box-shadow: 0px 4px 6px 0px #00000040;
    color: #fff;
    font-weight: 700;
    font-size: 1rem;
    text-align: center;
    width: 90vw;
    margin-inline: auto;
    display: flex;
    height: 56px;
    z-index: 52;
    border-radius: 6px;
    justify-content: center;
    align-items: center;
    gap: 1em;
    position: fixed;
    top: calc(((100% - 56px) - 5vw) - 106px);
    left: calc((100% - 90vw) / 2);
    transition: top 0.3s;
  }

  .nav__sp-btn-text::after {
    content: 'MENU';
  }

  .nav__hamburger {
    display: block;
    height: 1em;
    aspect-ratio: 1/1;
    position: relative;
  }

  .nav__hamburger::before,
  .nav__hamburger::after {
    content: '';
  }

  .nav__hamburger .nav__hamburger-equipment,
  .nav__hamburger::before,
  .nav__hamburger::after {
    width: 100%;
    display: block;
    height: 2px;
    border-radius: 3px;
    background-color: #fff;
    transition: 0.3s;
    right: 0;
    position: absolute;
  }

  .nav__hamburger::before {
    top: 2px;
  }

  .nav__hamburger .nav__hamburger-equipment {
    top: 50%;
  }

  .nav__hamburger::after {
    top: calc(100% - 2px);
  }

  .nav__switch:checked ~ .nav__sp-btn {
    top: calc((100% - 56px) - 5vw);
  }

  .nav__switch:checked ~ .nav__sp-btn .nav__sp-btn-text::after {
    content: 'CLOSE';
  }

  .nav__switch:checked ~ .nav__sp-btn .nav__hamburger::before {
    transform: rotate(45deg);
    top: calc(50% - 1.5px);
  }

  .nav__switch:checked ~ .nav__sp-btn .nav__hamburger .nav__hamburger-equipment {
    opacity: 0;
  }

  .nav__switch:checked ~ .nav__sp-btn .nav__hamburger::after {
    transform: rotate(-45deg);
    top: calc(50% - 1.5px);
  }

  /* ナビゲーションメニューオープン時スクロール不可 */
  html:has(.nav__switch:checked) {
    overflow: hidden;
  }

  /* sns共有ボタンに考慮 */
  .mein-container:has(.sns.hide) .nav__sp-btn {
    top: calc((100% - 56px) - 5vw);
  }
}

@media (max-width: 428px) {
  [id^='n_'] {
    scroll-margin-top: 48px;
  }

  .nav::after {
    top: 48px;
  }

  .nav__content {
    height: calc(100vh - 48px);
    height: calc(100dvh - 48px);
    top: 48px;
  }

  .nav__bg {
    top: 48px;
  }
}

/* -------------------------------------------
main-section
------------------------------------------- */

.main-section {
  width: 100%;
  display: flex;
  flex-direction: column;
  color: #fff;
}

.main-section--bg-secondary {
  background: #1e1e1e;
  color: #fff;
}

.main-section--bg-tertiary {
  background: #333333;
  color: #fff;
}

.main-section--bg-quaternary {
  background: #fff;
  color: #333333;
}

.main-section__inner {
  width: 100%;
  max-width: 1200px;
  margin-inline: auto;
  display: flex;
  flex-direction: column;
}

.main-section__inner--full {
  width: 100%;
}

.main-section__inner--wide {
  max-width: calc(1400px + 2rem);
}

.main-section__inner--bg-secondary {
  background: #c8a064;
  color: #fff;
}

.main-section__inner--bg-transparent {
  background: transparent;
}

@media (min-width: 769px) {
  /* .main-section {
    padding-block: 5.625rem;
    gap: 5rem;
  } */

  .main-section--padding-s {
    padding-block: 2.5rem;
  }

  .main-section__inner {
    gap: 48px;
    padding-block: 80px;
  }

  .main-section__inner--wide {
    padding-inline: 1rem;
  }
}

@media (max-width: 768px) {
  .main-section {
    gap: 2rem;
  }

  .main-section--padding-s {
    padding-block: 2.5rem;
  }

  .main-section__inner {
    gap: 2rem;
    padding: 3rem 1rem;
  }
}

/* -------------------------------------------
ttl
------------------------------------------- */
.ttl {
  width: fit-content;
  font-family: var(--font-ttl);
  font-weight: 700;
  margin-inline: auto;
  line-height: 1.2;
}

@media (min-width: 769px) {
  .ttl {
    font-size: 2.5rem;
  }
}

@media (max-width: 768px) {
  .ttl {
    font-size: 1.5rem;
  }
}

.ttl-secondary {
  font-weight: 700;
  line-height: 1.6;
  text-align: center;
}

@media (min-width: 769px) {
  .ttl-secondary {
    font-size: 2.5rem;
  }
}

@media (max-width: 768px) {
  .ttl-secondary {
    font-size: 1.5rem;
  }
}

/* -------------------------------------------
 text
------------------------------------------- */
.text-block {
  font-weight: 500;
  line-height: 1.33;
  text-align: center;
}

.text--color-secondary {
  color: #848484;
}

@media (min-width: 769px) {
  .text-block {
    font-size: 1.25rem;
  }

  .text:not(:last-child) {
    padding-bottom: 1em;
  }
}

@media (max-width: 768px) {
  .text-block {
    font-size: 1rem;
  }

  .text:not(:last-child) {
    padding-bottom: 1rem;
  }
}

/* -------------------------------------------
 btn
------------------------------------------- */
/* btn-wrap------------------------------------------- */
.btn-wrap {
  display: flex;
  justify-content: center;
}

/* btn ------------------------------------------- */
.btn {
  font-weight: 700;
  color: #fff;
  line-height: 1.5;
  text-align: center;
  display: flex;
  align-items: center;
  gap: 0.625em;
  background: var(--color-primary);
  border-radius: 9999px;
  width: 100%;
  max-width: 496px;
  padding: 0.375em 1.5em;
  text-align: center;
  justify-content: center;
  min-height: 54px;

  &::after {
    content: '';
    display: block;
  width: 1.5em;
  height: 1.5em;
    background: #fff;
    mask-image: url(../images/icon-arrow-right-s-line.svg);
    mask-size: contain;
    mask-repeat: no-repeat;
      mask-position: center;
  }

  &:hover {
    opacity: 0.7;
  }
}

.btn--shadow {
  box-shadow: 0px 4px 4px 0px #a4a4a44d;
}

.btn--anchor-link::after {
  mask-image: url(../images/icon-arrow-bottom-s-line.svg); 
}

.btn--secondary {
  background: transparent;
  color: #fff;
  border:2px solid #fff;
}

.btn__inner {
  width: 100%;
  display: inline-block;
  text-align: center;
}

@media (min-width: 769px) {
  .btn {
    font-size: 1rem;
  }
}

@media (max-width: 768px) {
  .btn {
    font-size: 0.95rem;
  }
}

/* -------------------------------------------
about
------------------------------------------- */
.about-content-wrap {
  display: flex;
  flex-direction: column;
}

.about-content {
  display: flex;
  align-items: center;
}

.about-content__detail {
  display: flex;
  flex-direction: column;
}

.about-content__ttl {
  font-weight: 900;
  display: flex;
  line-height: 1.2;
  gap: 0.2em;
  align-items: flex-start;

  &::before {
    content: '';
    display: block;
    flex: 0 0 auto;
    width: 1lh;
    aspect-ratio: 1/1;
    background: #fff;
    mask-image: url(../images/icon-heart.svg);
    mask-size: 0.9em;
    mask-position: center;
    mask-repeat: no-repeat;
  }
}

.about-content__text-block {
  line-height: 1.6;
  display: flex;
  flex-direction: column;
  gap: 1em;
}

.about-content__text-em {
  color: #ffff68;
}

.about-content__img-area {
  flex: 2;
}

.about-btn-area {
  display: flex;
  gap: 32px;
  width: 95%;
  margin-inline: auto;
  justify-content: center;

  @media (max-width: 768px) {
    flex-wrap: wrap;
    gap: 16px;
  }
}

@media (min-width: 769px) {
  .about-content-wrap {
    gap: 2rem;
  }

  .about-content {
    gap: 2.5rem;
  }

  .about-content__detail {
    flex: 3;
    gap: 2.37rem;
  }

  .about-content__ttl {
    font-size: 1.75rem;
  }

  .about-content__text-block {
    font-size: 1.25rem;
  }

  .about-content__text--font-s {
    font-size: 1rem;
  }

  .about-content--reverse {
    flex-direction: row-reverse;
  }
}

@media (max-width: 768px) {
  .about-content-wrap {
    gap: 2rem;
  }

  .about-content {
    gap: 1.5rem;
  }

  .about-content__detail {
    gap: 1.5rem;
  }

  .about-content__ttl {
    font-size: 1.25rem;
  }

  .about-content__text-block {
    font-size: 1rem;
  }

  .about-content__text--font-s {
    font-size: 0.875rem;
  }

  .about-content {
    flex-direction: column-reverse;
  }
}

/* -------------------------------------------
about-header
------------------------------------------- */

.about-header {
  display: flex;
  flex-direction: column;
  gap: 32px;

  @media (max-width: 768px) {
    gap: 16px;
  }
}

.about-header__text {
  font-weight: 700;
  font-size: 1.25rem;
  letter-spacing: 1.2;
  text-align: center;
  line-height: 1;

  @media (max-width: 768px) {
    font-size: 0.875rem;
  }
}

/* -------------------------------------------
filter-form
------------------------------------------- */
.filter-form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.filter-form__description {
  font-weight: 900;
  display: flex;
  line-height: 1.2;
  gap: 0.2em;
  align-items: flex-start;

  &::before {
    content: '';
    display: block;
    flex: 0 0 auto;
    width: 1lh;
    aspect-ratio: 1/1;
    background: #ffffff;
    mask-image: url(../images/icon-heart.svg);
    mask-size: 0.9em;
    mask-position: center;
    mask-repeat: no-repeat;
  }
}

.filter-form__btn-list {
  display: flex;
  max-width: 100%;
  overflow-x: auto;
  align-items: flex-start;
}

.filter-form__btn {
  display: flex;
  width: fit-content;
  color: #fff;
  background: var(--color-primary-see-through);
  padding: 0.5em;
  line-height: 1;
  border-radius: 0.5em;
  flex: 0 0 auto;
  font-size: 1.375rem;
  /* box-shadow: 0px 4px 6px 0px #00000040; */

  &:hover {
    opacity: 0.7;
  }
}

.filter-form__btn--new {
  background: #ff0000;
}

.filter-form__btn--active {
  background: var(--color-primary);
}

.filter-form__btn--active.filter-form__btn--new {
  background: #ff6262;
}

@media (min-width: 769px) {
  .filter-form__description {
    font-size: 1.625rem;
  }

  .filter-form__btn-list {
    gap: 1.875rem;
  }
}

@media (max-width: 768px) {
  .filter-form__description {
    font-size: 1rem;
  }

  .filter-form__btn-list {
    gap: 0.625rem;
  }
}

/* -------------------------------------------
filter-not-applicable
該当するカップリングが無い場合表示する
------------------------------------------- */
.filter-not-applicable {
  display: none;
  width: 100%;
  height: 10dvh;
}

.filter-not-applicable--show {
  display: flex;
  justify-content: center;
  align-items: center;
}

.filter-not-applicable__text {
  color: #fff;
  width: fit-content;
  padding-inline: 1.3em;
  font-family: var(--font-base);
  font-weight: 700;
  margin-inline: auto;
  font-size: 1.5rem;
}

/* -------------------------------------------
coupling-list
------------------------------------------- */
.coupling-list {
  width: 100%;
  max-width: 1100px;
  margin-inline: auto;
  /* display: grid; */
  /* grid-template-columns: repeat(auto-fill, minmax(min(calc(100% / 3), 260px), 1fr)); */
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

@media (min-width: 769px) {
  .coupling-list {
    gap: 18px;
  }
}

@media (max-width: 768px) {
  .coupling-list {
    gap: 6px;
  }
}

/* -------------------------------------------
coupling-card
------------------------------------------- */
:root {
  --coupling-bg-l: #298851;
  --coupling-bg-r: #38c1d9;
}

.coupling-card {
  background: linear-gradient(
    90deg,
    var(--coupling-bg-l) 0%,
    var(--coupling-bg-l) 50%,
    var(--coupling-bg-r) 50%,
    var(--coupling-bg-r) 100%
  );
  padding: 5px;
  overflow-wrap: anywhere;
  opacity: 0;
  transform: translateY(10px);
  transition:
    opacity 0.4s ease,
    transform 0.4s ease;
  display: none;
  width: max(calc((100% - (18px * 3)) / 4), 260px);
}

.coupling-card--new {
  position: relative;

  &::after {
    content: 'NEW';
    display: block;
    background: #ff0000;
    color: #fff;
    font-size: 0.875rem;
    font-weight: 900;
    line-height: 1;
    padding: 6px 8px;
    border-radius: 6px;
    position: absolute;
    top: -5px;
    right: -5px;
    box-sizing: border-box;
  }
}

.coupling-card--show {
  display: block;
  opacity: 1;
  transform: translateY(0);
}

.coupling-card[href=''] {
  pointer-events: none;
}

.coupling-card__inner {
  background: #fff;
  color: #000000;
  text-align: center;
  padding: 0.8rem;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: center;
}

.coupling-card__genre-ttl {
  font-weight: 500;
}

@media (min-width: 769px) {
  .coupling-card__inner {
    gap: 0.8rem;
  }

  .coupling-card__coupling-name {
    font-size: 1.875rem;
  }

  .coupling-card__character-name {
    font-size: 0.75rem;
  }

  .coupling-card__body {
    font-size: 0.75rem;
  }
}

@media (max-width: 768px) {
  .coupling-card {
    width: calc((100% - (6px * 1)) / 2);
  }

  .coupling-card__inner {
    gap: 0.375rem;
  }

  .coupling-card__coupling-name {
    font-size: 1.25 rem;
  }

  .coupling-card__character-name {
    font-size: 0.5rem;
  }

  .coupling-card__body {
    font-size: 0.65rem;
  }

  .coupling-card--new::after {
    top: -3px;
    right: -3px;
    border-radius: 999px;
  }
}

/* -------------------------------------------
apply-info-wrap
------------------------------------------- */
.apply-info-wrap {
  display: flex;
  flex-direction: column;
  gap: 48px;
  max-width: 840px;
  margin-inline: auto;

  @media (max-width: 768px) {
    gap: 32px;
  }
}

/* -------------------------------------------
apply-info
------------------------------------------- */
.apply-info {
  background: #fff;
  color: #333333;
  padding: 32px 40px 40px 40px;
  display: flex;
  flex-direction: column;
  gap: 24px;
border-radius: 10px;
  @media (max-width: 768px) {
    padding: 24px 12px 40px;
  }
}

.apply-info__ttl {
  font-weight: bold;
  font-size: 1.5rem;
  line-height: 1.6;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 16px;

  @media (max-width: 768px) {
    flex-direction: column;
  }
}

.apply-info__text-block {
  text-align: center;
  font-size: 1rem;
  display: flex;
  flex-direction: column;
  gap: 1em;

  @media (max-width: 768px) {
    font-size: 0.875rem;
  }
}

.apply-info__text-em {
  font-weight: bold;
}

/* -------------------------------------------
period-list
------------------------------------------- */
.period-list {
  display: flex;
  flex-direction: column;
  gap: 2px;
  border-radius: 16px;
  overflow: hidden;
  width: 100%;
}

.period-list__item {
  padding: 16px;
  background: var(--color-primary-light);
  text-align: center;
  width: 100%;
  font-weight: 700;
  font-size: 1rem;
  line-height: 1.6;
  color: #333333;

  @media (max-width: 768px) {
    padding-inline: 10px;
    font-size: 0.875rem;
  }
}

.period-list__notice {
  font-size: 0.75rem;
  display: block;
  font-weight: 400;
}

/* -------------------------------------------
apply-notice
------------------------------------------- */
.apply-notice {
  display: flex;
  flex-direction: column;
  gap: 0.3em;
  font-size: 0.75rem;
  line-height: 1.3;
}

.apply-notice__item {
  display: flex;
  gap: 0.3em;
}

.apply-notice__item::before {
  content: '※';
}

/* -------------------------------------------
apply-desc
------------------------------------------- */
.apply-desc {
  background: #ebebeb;
  width: 100%;
  margin-inline: auto;
  display: flex;
  flex-direction: column;
  gap: 24px;
  padding: 32px;
  border-radius: 16px;
}

.apply-desc__ttl {
  text-align: center;
  font-weight: 700;
  font-size: 1.25rem;
}

.apply-desc__specification-list {
  border: 1px solid;
  background: #fff;
  width: 100%;
  max-width: 550px;
  margin-inline: auto;
}

.apply-desc__specification {
  display: grid;
}

.apply-desc__specification:not(:last-child) {
  border-bottom: 1px solid;
}

.apply-desc__specification-ttl,
.apply-desc__specification-detail {
  padding: 0.5em 1em;
}

.apply-desc__specification-ttl {
  text-align: center;
  background: var(--color-primary);
  color: var(--color-primary-highlight);
  font-weight: bold;
}

.apply-desc__dl-btn {
  min-height: 54px;
  width: 100%;
  max-width: 496px;
  background: #454545;
  margin-inline: auto;
  .btn__inner {
    width: fit-content;
  }

  &::before {
    content: '';
    display: block;
    width: 1em;
    height: 1em;
    background: #fff;
    mask-image: url(../images/icon-download-fill.svg);
    mask-size: contain;
    mask-position: center;
    mask-repeat: no-repeat;
  }
  &::after {
    display: none;
  }
}

.apply-desc__attention {
  font-size: 0.75rem;
}

.apply-desc__attention-item {
  display: flex;

  &::before {
    content: '※';
    display: inline-block;
    margin-right: 0.3em;
  }
}

.apply-attention__mail a {
  text-decoration: underline;
}

@media (min-width: 769px) {
  .apply-desc__specification {
    grid-template-columns: 10em auto;
    font-size: 1rem;
  }

  .apply-desc__specification-ttl {
    border-right: solid 1px #4c050e;
  }
}

@media (max-width: 768px) {
  .apply-desc {
    padding: 24px 12px;
    gap: 16px;
  }

  .apply-desc__ttl {
    font-size: 1.125rem;
  }

  .apply-desc__specification {
    grid-template-columns: 1fr;
    font-size: 0.875rem;
    text-align: center;
  }

  .apply-desc__specification-ttl {
    border-bottom: solid 1px #4c050e;
  }
}

/* -------------------------------------------
apply-mail
------------------------------------------- */
.apply-mail {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 16px;
  border-radius: 16px;
  padding: 24px;
  border: 1px solid #747474;
  @media (max-width: 768px) {
    padding: 16px;
  }
}
.apply-mail__text {
  font-weight: 400;
  font-size: 0.875rem;
  line-height: 1.2;
  color: #333333;
  @media (max-width: 768px) {
    font-size: 0.75rem;
  }
}

.apply-mail__detail {
  border-radius: 6px;
  padding: 20px;
  background: #ebebeb;
  @media (max-width: 768px) {
    padding: 10px;
    font-size: 0.75rem;
  }
}

/* -------------------------------------------
apply
------------------------------------------- */

.apply-btn {
  box-shadow: 0px 4px 6px 0px #00000040;
}

.apply-date {
  text-align: center;
  font-weight: 700;
}

.apply-attention {
  text-align: center;
  line-height: 1.6;
}

@media (min-width: 769px) {
  .apply-date {
    font-size: 1.5625rem;
  }

  .apply-attention {
    font-size: 0.75rem;
  }
}

@media (max-width: 768px) {
  .apply-date {
    font-size: 1.25 rem;
  }

  .apply-attention {
    font-size: 0.625rem;
  }
}

/* -------------------------------------------
contact
------------------------------------------- */
.contact {
  font-weight: 500;
  font-size: 1rem;
  line-height: 1.6;
  text-align: center;
  display: flex;
  flex-direction: column;
  gap: 8px;
  align-items: center;
  @media (max-width: 768px) {
    font-size: 0.875rem;
  }
}
.contact-notice-list {
  display: flex;
  flex-direction: column;
  gap: 0.3em;
}
.contact-notice-list__text {
  display: flex;
  &::before {
    content: '※';
  }
}

/* -------------------------------------------
text-link
------------------------------------------- */
.text-link {
  display: flex;
  font-weight: 900;
  font-size: 1rem;
  color: var(--color-primary);
  gap: 10px;
  align-items: center;
  &::after {
    content: '';
    display: block;
    width: 1em;
    height: 1em;
    background: var(--color-primary);
    mask-image: url(../images/icon-arrow-right-s-line.svg);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
  }
}
/* -------------------------------------------
float-btn
------------------------------------------- */
.float-btn-wrap {
  position: absolute;
  top: 0;
  width: 170px;
  --btn-left-space: 8px;
  right: 0;
  height: 100%;
  pointer-events: none;
}

.float-btn {
  pointer-events: all;
  position: sticky;
  --sns-button-group-height: 96px;
  --sns-button-group-bottom-space: 16px;
  top: calc(100% - (var(--sns-button-group-height) + var(--sns-button-group-bottom-space) + min(8vw, 170px)));
  right: min(2vw, 40px);
  width: fit-content;
  max-width: 170px;
  box-sizing: border-box;
  text-align: center;
  color: var(--color-primary-highlight);
  background: var(--color-primary);
  aspect-ratio: 1 / 1;
  border-radius: 9999px;
  display: flex;
  flex-direction: column;
  align-items: center;
  line-height: 1.3;
  gap: 0.5em;
  padding: 1em 1em 0.5em 1em;
  justify-content: center;
  font-size: min(1vw, 1.3125rem);
  font-weight: 500;

  &::after {
    content: '';
    width: 1em;
    height: 1em;
    display: block;
    background: no-repeat center/contain url(../images/icon-arrow-bottom-fill.svg);
  }
}

@media (max-width: 768px) {
  .float-btn {
    display: none;
  }
}

/* -------------------------------------------
 レスポンシブ対応
------------------------------------------- */

@media (min-width: 769px) {
  .sp {
    display: none;
  }
}

@media (max-width: 768px) {
  .pc {
    display: none;
  }
}
